# $Revision: 1.43 $, $Date: 2003/01/06 12:26:26 $
Summary:	DHCP Client Daemon
Summary(de):	DHCPC-Dmon
Summary(es):	Servidor DHCPC
Summary(fr):	Dmon DHCPC
Summary(pl):	Klient (daemon) DHCP
Summary(pt_BR):	Servidor DHCPC
Summary(tr):	DHCPC sunucu srei (daemon)
Name:		dhcpcd
%define	ver	1.3.22-pl4
Version:	%(echo %{ver} | sed -e "s#-##")
Release:	1
License:	GPL v2
Group:		Networking/Daemons
Source0:	http://www.phystech.com/ftp/%{name}-%{ver}.tar.gz
Patch0:		%{name}-configure.patch
Patch1:		%{name}-ntpdrift-66136.patch
Patch2:		%{name}-noMoFakery.patch
Patch3:		%{name}-noNISfakery.patch
Patch4:		%{name}-paths_fixes.patch
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_sbindir	/sbin

%description
dhcpcd is an implementation of the DHCP client specified in
draft-ietf-dhc-dhcp-09 (when -r option is not specified) and RFC1541
(when -r option is specified).

It gets the host information (IP address, netmask, broadcast address,
etc.) from a DHCP server and configures the network interface of the
machine on which it is running. It also tries to renew the lease time
according to RFC1541 or draft-ietf-dhc-dhcp-09.

%description -l de
dhcpcd ist eine Implementierung des DHCP-Client, spezifiziert in
draft-ietf-dhc-dhcp-09 (wenn -r option nicht angegeben) und RFC1541
(wenn -r option angegeben).

Es bezieht die Host-Infos (IP-Adresse, Netmask, Broadcast-Adresse,
usw.) von einem DHCP-Server und konfiguriert die Netzschnittstelle des
Computers, auf dem es luft Es versucht, die Verleihzeit gem RFC1541
bzw. draft-ietf-dhc-dhcp-09 zu verlngern.

%description -l es
dhcpcd es una implementacin del cliente DHCP especificado en
draft-ietf-dhc-dhcp-09 (cuando la opcin -r no est especificada) y
RFC1541 (cuando la opcin -r est especificada). Captura la
informacin del host (direccin IP, mscara de red, direccin de
broadcast, etc.) de un servidor DHCP y configura la interface de red
de la mquina donde est ejecutando. Tambin intenta renovar el tiempo
de alquiler de los direcciones de acuerdo con RFC1541 o
draft-ietf-dhc-dhcp-09.

%description -l fr
dhcpcd est une implantation du client DHCP spcifi dans les
draft-ietf-dhc-dhcp-09 (sans l'option -r) et RFC1541 (avec l'option -r).

Il obtient l'information sur l'hte (adresse IP, masque rseau,
adresse de diffusion, etc.)  partir d'un serveur DHCP et configure
l'interface rseau de la machine sur laquelle il tourne. Il essaie
aussi de renouveler le  lease time  selon les RFC1541 ou
draft-ietf-dhc-dhcp-09.

%description -l pl
dhcpd jest implementacja klienta DHCP, opisan w
draft-ietf-dhc-dhcp-09 (kiedy nie podaje si opcji -r) oraz RFC1544
(kiedy podaje si opcj -r).

Pobiera on informacj o komputerze (adres IP, maska sieci, adres
rozgoszeniowy itd.) i konfiguruje interfejs sieciowy maszyny, na
ktrej jest uruchomiony. Prbuje rwnie odwiezy czas przestoju
zgodnie z RFC1541 oraz draft-ietf-dhc-dhcp-09.

%description -l pt_BR
dhcpcd  uma implementao do cliente DHCP especificado em
draft-ietf-dhc-dhcp-09 (quando a opo -r no  especificada) e
RFC1541 (quando a opo -r  especificada). Ele captura a informao
do host (endereo IP, mscara de rede, endereo de broadcast, etc.) de
um servidor DHCP e configura a interface de rede da mquina em que
est rodando. Ele tambm tenta renovar o tempo de aluguel dos
endereos de acordo com RFC1541 ou draft-ietf-dhc-dhcp-09.

%description -l tr
Makina bilgilerini (IP adresi, a maskesi, yayn adresi, vb.) bir DHCP
sunucusundan alr ve zerinde alt makinann a arayzn
ayarlar. Ayrca RFC1541 veya draft-ietf-dhc-dhcp-09'a uygun olarak,
kira zamann (lease time) yenilemeye alr.

%prep
%setup -q -n %{name}-%{ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make} all \
	mandir=%{_mandir} \
	sbindir=%{_sbindir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_var}/lib/dhcpc

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir} \
	sbindir=%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_sbindir}/dhcpcd
%dir %{_var}/lib/dhcpc
%{_mandir}/man8/dhcpcd.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dhcpcd.spec,v $
Revision 1.43  2003/01/06 12:26:26  blues
- 1.3.22-pl4 - SECURITY update (STBR to Ra updates security)

Revision 1.42  2002/12/31 11:16:42  gotar
- cut off Vendor

Revision 1.41  2002/10/11 16:51:53  kloczek
- release 155555: more fixes in paths_fixes patch:
-- fix dhcpcd nam page for inform about writing pid file is allways performed in
   /var/run,
-- more fixes for correct snprintf() output pid file name (by Przemyslaw Bialek
   <lobo@chello.pl>) in case const location in /var/run.

Revision 1.40  2002/10/07 12:29:02  kloczek
- release 14: fixed path_fixes patch for use interface name in pid file name.

Revision 1.39  2002/09/10 10:37:13  blues
- now builds - STBR again

Revision 1.38  2002/09/09 18:04:16  kloczek
- other_path_fix + dhcpcd-pid_path_fix = dhcpcd-paths_fixes + fixed paths in
  dhcpcd(8) man page,
- update %files for use FHS compliant paths.

Revision 1.37  2002/09/08 14:28:58  maryush
- fixed invalid /etc/dhcpcd path
- STBR

Revision 1.36  2002/08/06 11:38:13  maryush
- ooops release++ ;)
- STBR

Revision 1.35  2002/08/06 11:34:34  maryush
- fixed dhcpd pid location

Revision 1.34  2002/07/18 21:38:12  kloczek
- bump reelase to 11.

Revision 1.33  2002/07/18 21:24:46  kloczek
- configure patch is back,
- merge RH fixes,
- merge translations from Conectiva.

Revision 1.32  2002/07/18 20:51:48  marcus
- updated to 1.3.22-pl1

Revision 1.31  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.30  2002/04/25 16:11:31  arturs
fixed a small typo

Revision 1.29  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.28  2002/03/05 18:06:11  marcus
- remove uclibc stuff
- rel.4.

Revision 1.27  2002/02/23 01:47:48  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/18 22:02:36  gotar
- %desc

Revision 1.24  2002/01/21 18:31:41  malekith
- rel 3
- embed -> BOOT

Revision 1.23  2002/01/18 02:12:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/11/10 00:58:21  kloczek
- release 2,
- spec adapterized,
- added missing %description for BOOT and few minor changes.

Revision 1.21  2001/08/23 17:28:58  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.20  2001/06/03 23:36:45  klakier
- added BOOT package

Revision 1.19  2001/04/06 21:47:11  misiek
1.3.20pl0; stb

Revision 1.18  2001/04/05 07:11:02  misiek
1.3.19pl9; stb

Revision 1.17  2001/03/12 21:15:03  kloczek
- added gzipping %doc.

Revision 1.16  2001/03/12 09:04:38  misiek
1.3.19pl8; stb

Revision 1.15  2001/02/25 00:57:14  misiek
1.3.19pl7; stb

Revision 1.14  2000/10/22 12:52:28  misiek
updated to 1.3.19-pl2

Revision 1.13  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.10  2000/05/09 20:16:17  kloczek
- added de, fr, tr translations from Bero spec.

Revision 1.9  2000/05/09 19:30:35  kloczek
- Group changed to Networking/Daemons,
- spec adapterized,
- added passsing LDFLAGS="-s" for produce stripped binaries.

Revision 1.8  2000/05/09 19:00:03  baggins
- created /etc/dhcpc in %%install

Revision 1.7  2000/05/09 18:36:31  baggins
- more docs
- added /etc/dhcpc directory

Revision 1.6  2000/05/09 18:16:41  baggins
- spec adapterized
- updated to 1.3.18-p7

Revision 1.5  2000/05/02 21:21:54  baggins
- fixed version, minor cleanup

Revision 1.4  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 11:27:28  arturs
-added %description -l pl

Revision 1.1  1999/08/19 20:07:25  baggins
almost raw
